SDCCLIB(1)

NAME
sdcclib - SDCC librarian

SYNOPSIS
sdcclib [-options] library relfile

WARNING
The information in this man page is an extract from the full documentation of SDCC, and is limited to the meaning of the options.

For complete and current documentation, refer to the SDCC Compiler User Guide.

DESCRIPTION
sdcclib can be used to embed all the modules belonging to a library in the library file itself. This results in a larger library file, but it greatly reduces the number of disk files accessed by the linker.

OPTIONS

-a  Adds relfile to library. If relfile exists, replaces it.

-d  Deletes relfile from library.

-e  Extracts relfile from library.

-s  Dumps symbols of library.

-m  Dumps modules of library.

-v  Displays program version.

-h  Displays help.

SEE ALSO
sdcc(1).

AUTHOR
This manual page was written by Aurelien Jarno <aurel32@debian.org>, for the Debian GNU/Linux system (but may be used by others).